Skip to content
GuidesBlogPlaygroundDashboard

Get dataset by ID

GET/api/v1/datasets/{id}

Get dataset by ID

Path ParametersExpand Collapse
id: string
ReturnsExpand Collapse
Dataset = object { id, inserted_at, name, 6 more }

Metadata for a custom dataset. Datasets contain user-uploaded geospatial features separate from the OSM data.

id: string

Dataset UUID

formatuuid
inserted_at: string

Creation timestamp (UTC)

formatdate-time
name: string

Human-readable dataset name

slug: string

URL-friendly identifier

updated_at: string

Last update timestamp (UTC)

formatdate-time
attribution: optional string

Required attribution text

description: optional string

Dataset description

license: optional string

License identifier (e.g. CC-BY-4.0)

source_url: optional string

URL of the original data source

formaturi

Get dataset by ID

curl https://plaza.fyi/api/v1/datasets/$ID \
    -H "Authorization: Bearer $PLAZA_API_KEY"
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "inserted_at": "2019-12-27T18:11:19.117Z",
  "name": "NYC Bike Lanes",
  "slug": "nyc-bike-lanes",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "attribution": "attribution",
  "description": "description",
  "license": "license",
  "source_url": "https://example.com"
}
Returns Examples
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "inserted_at": "2019-12-27T18:11:19.117Z",
  "name": "NYC Bike Lanes",
  "slug": "nyc-bike-lanes",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "attribution": "attribution",
  "description": "description",
  "license": "license",
  "source_url": "https://example.com"
}